<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

require("authentication_admin.php");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
    <link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
	/*<![CDATA[*/
        function volver() {
            history.back();
        }
	/*]]>*/
    </script>
</head>
<body>
	<div id="all">
	    <?php include("head_admin.php"); ?>
        <div id="content">
            <div id="content_left">
                <ul class="box_left">
                    <li class="box_title"><img src="../../images/general/box_admin.png" alt="Admin admin" />Admin</li>
                    <li><img src="../../images/general/box_bullet.png" alt="bullet" /><a onclick="volver()" href="#">Back</a></li>
                </ul>
            </div>
            
            <div id="content_center">
                <form id="admin_form" name="admin_form" method="post" action="new_admin_admin_res.php">
                    <fieldset>
                        <legend>Create a new admin</legend>
                        <ul>
                            <li class="form_description">
                                Please fill out this form to create a new admin.
                            </li>
                            <li>
                                <label for="user">User:</label>
                                <input id="user" name="user" type="text" /> *
                            </li>
                            <li>
                                <label for="email">E-Mail:</label>
                                <input id="email" name="email" type="text" /> *
                            </li>                           
                            <li>
                                <label for="password">Password:</label>
                                <input id="password" name="password" type="password" /> *
                            </li>
                            <li>
                                <label for="repassword">Re-Password:</label>
                                <input id="repassword" name="repassword" type="password" /> *
                            </li>
                            <li class="form_spacer"></li>
                            <li>
                                <label for="first_name">First name:</label>
                                <input id="first_name" name="first_name" type="text" />
                            </li>
                            <li>
                                <label for="second_name">Second name:</label>
                                <input id="second_name" name="second_name" type="text" />
                            </li>
                            <li class="form_buttons">
                                <button type="submit">Send</button>
                                <button type="reset">Reset</button>
                            </li>
                        </ul>                    
                    </fieldset>
                </form>
            </div>
        </div>
        <?php include("foot_admin.php"); ?>
	</div>
</body>
</html>

