<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

session_save_path(realpath("../../sessions"));
session_start();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="keywords" content="WebDevStudio, editor, ide, compilig" />
	<meta name="description" content="WebDevStudio is an IDE based on PHP
	 technology. Users would be designing computer application projects
	 through Web clients such as Internet Explorer or Netscape with the
	 advantage of not being worried about file managing/compiling" />
     
	<title>WebDevStudio :: An online integrated development environment</title>
	<link href="../../styles/general.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <div id="all">
		<?php include("./head_home.php"); ?>
        <div id="content">
            <div id="content_left">
                <!--<div id="login">-->
                <?php if((!isset($_SESSION['s_user'])) || ($_SESSION['s_user']==false)) { ?>
	            <div id="box_login">                    
                    <form id="login_form" name="login_form" method="post" action="../account/login_account_res.php">
                        <fieldset>
                            <ul>
                                <li class="login_title">User login</li>
                                <li><label for="username" class="txt_box_element">User</label><input id="username" name="username" type="text" class="textfield" /></li>
                                <li><label for="password" class="txt_box_element">Password</label><input id="password" name="password" type="password" class="textfield" /></li>
                                <li class="login_link"><a href="../account/password_account.php">Forgot your password?</a></li>
                                <li class="login_button"><button type="submit">Send</button></li>
                            </ul>
                        </fieldset>
                    </form>
                </div>
                <div><a href="../account/new_account.php"><img src="../../images/general/home_register.png" border="0" alt="Register now!"/></a></div>
                <?php } else { ?>
                <ul class="box_left">
                    <li class="box_title"><img src="../../images/general/box_account.png" alt="Account" />Account</li>
                    <li><img src="../../images/general/box_bullet.png" /><a href="../account/edit_account.php">Edit account</a></li>
                    <li><img src="../../images/general/box_bullet.png" /><a href="../account/delete_account.php">Delete account</a></li>
                    <li><img src="../../images/general/box_bullet.png" /><a href="../account/logout_account.php">Logout</a></li>
                </ul>
                <?php } ?>
            </div>
            
            <div id="content_center">
                <!--<div id="home_description">-->
                    <img src="../../images/general/home_image.jpg" alt="WebDevStudio. An online integrated development environment" />
                    <h1>Welcome to WebDevStudio</h1>
                    <p class="home">WebDevStudio is an online integrated development environment (IDE) based on AJAX/PHP technology. Any software developer would be able to design computer science projects with or without of greater or smaller complexity, using only a Web navigator and without worrying about file and project management (creation, modification, compilation, etc.). Tool would be completely in charge of the projects and registered users. From server machine, it would be provided to developers a set of operations integrated in a powerful graphic interface without having installed in client machine any development component (compiler, code editor, etc).</p>
                    <p class="home">WebDevStudio integrates a simple resource manager whose basic undertaken will consist of maintaining always consistency between server and client machine. User management controls users which are registered and who would have access granted to the tool. Project management controls projects created by users and allows to build them and make backup copies. File management controls files which owns to each project, and they can be downloaded, modified and compiled at any moment.</p>
                <!--</div>-->
                <!--<div id="home_news">-->
                    <h2><img src="../../images/general/home_news.png" alt="News"/>News</h2>
					<?php
                    //Hacemos la consulta a la base de datos para obtener los datos del usuario
                    //Recogemos los datos de conexion de la base de datos
                    require('../../config/connect_config.php');
                    
                    //Establecemos la conexion con el servidor
                    $conexion=mysql_connect($db_host,$db_user,$db_password);
                    
                    //Asignamos la conexion a una base de datos determinada
                    mysql_select_db($db_name,$conexion);
                    
                    //Recogemos en una variable el nombre de la TABLA
					$tabla="news";
					$time=time();
                    $query="SELECT * FROM $tabla WHERE (create_time <= $time) ORDER BY create_time DESC LIMIT 0,3";
                    //Hacemos la consulta
                    $resultado=mysql_query($query, $conexion);
                    
                    if (mysql_errno($conexion)!=0){ 
                        $numerror=mysql_errno($conexion);
                        $descrerror=mysql_error($conexion);
                        echo "Error nº $numerror: $descrerror";
                    }
                    else {
                        if (mysql_num_rows($resultado)==0) {
                            echo '<p>There are not news at now</p>';
                        }
                        else {
                            while($row = mysql_fetch_array($resultado)) {
                                echo '<table border="0" cellspacing="0" cellpadding="0">
                                        <tr>
                                            <td height="25" class="titular">'.$row['title'].'</td>
                                        </tr>
                                        <tr>
                                            <td height="20" class="fecha">'.date("d-m-Y H:i",$row['create_time']).'</td>
                                        </tr>
                                        <tr>
                                            <td class="texto">'.$row['content'].'</td>
                                        </tr>
                                        <tr>
                                            <td height="15"></td>
                                        </tr>
                                    </table>';
                            }
							echo '<font class="texto"><a href="../sections/news_sections.php">Read more news</a></font>';
                        }
                    }
					//Liberamos el conjunto de resultados
                    mysql_free_result($resultado);
                    //Cerramos la conexion
                    mysql_close($conexion);
                    ?>	
                <!--</div>-->
            </div>
        </div>
        
        <?php include("foot_home.php"); ?>
    
    </div>
</body>
</html>
