<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

require("../../authentication.php");

//Comprobamos si el formulario est� correctamente rellenado:
$name="";
$description="";
$language="";
$platform="";
$application="";

if (isset($_POST['name'])) $name=$_POST['name'];
if (isset($_POST['description'])) $description=$_POST['description'];
if (isset($_POST['platform'])) $platform=$_POST['platform'];
if (isset($_POST['language'])) $language=$_POST['language'];
if (isset($_POST['application'])) $application=$_POST['application'];

$error=0;
$mensaje_head="Congratulations!";
$mensaje="Your project has been modified successfully";

//No se han completado todos los campos
if (($name=="") || ($language=="") || ($platform=="") || ($application=="")) {
	$mensaje_head="Sorry, there are errors in the form";
	$mensaje="All obligatory fields must be completed";
	$error=1;
}
//El formulario est� correctamente rellenado
else {
	//Recogemos los datos de conexion de la base de datos
	require('../../config/connect_config.php');

	//Establecemos la conexion con el servidor
	$conexion=mysql_connect($db_host,$db_user,$db_password);

	//Asignamos la conexion a una base de datos determinada
	mysql_select_db($db_name,$conexion);

	//Recogemos en una variable el nombre de la TABLA
	$tabla="project";

	//Buscamos el usuario
	//session_start();
	$user=$_SESSION['s_user'];
	
	//Actualizamos el registro
	mysql_query("UPDATE $tabla 
    	         SET description='$description',
				     language='$language',
			 	 	 platform='$platform',
					 application='$application'
	  	         WHERE (user='$user' AND name='$name')", $conexion);
	//Comprobamos el resultado de la insercion
	//el error CERO significa NO ERROR
	//el error 1062 significa Clave duplicada
	//en otros errores forzamos a que nos ponga el n�mero de error
	//y el significado de ese error (aunque sea en ingles)....
	if (mysql_errno($conexion)==0) {
		//Indicamos que no ha habido errores
		$error=0;
	}
	else {
		$numerror=mysql_errno($conexion);
   		$descrerror=mysql_error($conexion);
		$mensaje_head="Sorry, there are errors with data";
	   	$mensaje="Error nº $numerror: $descrerror";
		$error=1;
	}
	//Cerramos la conexion
	mysql_close($conexion); 
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
    <link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">	
	/*<![CDATA[*/
        function enviar() {
            document.project_form.submit();
        }
	/*]]>*/
    </script>
</head>
<body>
	<div id="all">
		<?php include("head_project.php"); ?>
        <div id="content">
            <div id="content_left">        
            	<?php include("menu_project.php"); ?>        
            </div>
            
            <div id="content_center">
                <div id="result_server">
                	<h2><?php echo $mensaje_head ?></h2>
                    <p><?php echo $mensaje ?></p>
	                <?php if ($error==1) { ?>
    	            <button onclick="enviar()">Back</button>
        	        <?php } ?>
                    
                    <form id="project_form" name="project_form" method="post" action="new_project.php">
                        <input type="hidden" name="name" value="<?php echo $name ?>">
                        <input type="hidden" name="description" value="<?php echo $description ?>">
                        <input type="hidden" name="platform" value="<?php echo $platform ?>">
                        <input type="hidden" name="language" value="<?php echo $language ?>">
                        <input type="hidden" name="application" value="<?php echo $application ?>">
                    </form>
                </div>
            </div>
        </div>
        <?php include("foot_project.php"); ?>
	</div>
</body>
</html>
