<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

require("../../authentication.php");

//Comprobamos si el formulario est correctamente rellenado:
$user=$_SESSION['s_user'];
$name=$_GET['name'];
$file=$_GET['file'];
$oldfile=$_GET['oldfile'];

$error=0;
//No se han completado todos los campos
if ($file=="") {
	$mensaje_head = "Sorry, there are errors in the form";
	$mensaje="All obligatory fields must be completed";
	$error=1;
}
//else if (ereg("[\\/:*?\"<> |\']", $file) == TRUE) {
else if (preg_match("/[\\/:*?\"<> |\']/", $file) == TRUE)
	$mensaje_head = "Sorry, there are errors in the form";
	$mensaje="The name of the backup is incorrect<br /><br />Please, don't use: \, /, :, *, ?, \", <, >,  , |, '";
	$error=1;
}
else if (file_exists("../../users/$user/$name/.backups/$file")) {
	$mensaje_head = "Sorry, there are errors in the form";
	$mensaje='There is another backup with this "'.$file.'" backup name';
	$error=1;
}
//El formulario est correctamente rellenado
else {
	//Creamos el fichero
	$file=strtolower($file);
	$path="../../users/$user/$name/.backups/";
	
	if (!rename($path.$oldfile, $path.$file.'.zip')) {
		$mensaje_head="Sorry, there are errors with file";
		$mensaje="Imposible to rename the backup";
		$error=1;
	}
}		 
//Tratamos los errores
if ($error!=1) {
   	header("Location: list_backups.php");
}
else {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
    <link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">	
	/*<![CDATA[*/
		function volver() {
			history.back();
		}
	/*]]>*/
	</script>
</head>
<body>
	<div id="all">
		<?php include("head_project.php") ?>
        <div id="content">
            <div id="content_left">
                <ul class="box_left">
                    <li class="box_title"><img src="../../images/general/box_project.png" alt="Project" />Project</li>
                    <li><img src="../../images/general/box_bullet.png" alt="bullet" /><a onclick="volver()" href="#">Back</a></li>
                </ul>
            </div>
            
            <div id="content_center">
                <div id="result_server">
                	<h2><?php echo $mensaje_head ?></h2>
                    <p><?php echo $mensaje ?></p>
    	            <button onclick="volver()">Back</button>
                </div>
            </div>
        </div>
        <?php include("foot_project.php"); ?>
	</div>
</body>
</html>
<?php } ?>


