<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

include("../../authentication.php");

//include("zip.php");
include('pclzip.lib.php');
 
//session_start();
$user=$_SESSION['s_user'];
$name=$_SESSION['s_name'];
$backupname=$_POST['backupname'];

//$dir=$DOCUMENT_ROOT."/WebDevStudio/users/$user/$name";
$dir="../../users/$user/$name";
$zipName = "../../users/$user/$name/.backups/$backupname.zip";

$error=0;
$mensaje_head = "Congratulations!";
$mensaje = "Your backup has been created successfully";
//Comprobamos que el usuario tenga ficheros
$dim = 0;
$handle = opendir($dir);
while ($file = readdir($handle)) {
	if(!is_dir($file)) {
		$dim+=1;
	}
} 
closedir($handle);
if ($dim<=0) {
	$mensaje_head ="Sorry, there are errors";
	$mensaje="You haven't got files to backup";
	$error=1;
}
//Comprobamos que el nombre sea correcto
else if ($backupname=="") {
	$mensaje_head ="Sorry, there are errors in the form";
	$mensaje="All obligatory fields must be completed";
	$error=1;
}
//else if (ereg("[\\/:*?\"<> |\']", $backupname) == TRUE) {
else if (preg_match("/[\\/:*?\"<> |\']/", $backupname) == TRUE) {
	$mensaje_head ="Sorry, there are errors in the form";
	$mensaje="The name of the backup is incorrect.<br /><br />Please, don't use: \, /, :, *, ?, \", <, >,  , |, '";
	$error=1;
}
//Comprobamos si ya hay un backup con ese nombre
else if (file_exists($zipName)) {
	$mensaje_head ="Sorry, there are errors";
	$mensaje = "'$backupname' has already been created";
	$error = 1;
}

//No hay errores
if ($error != 1) {

	//Creamos la carpeta de backups si no se ha creado antes
	if (!file_exists("../../users/$user/$name/.backups")) {
		mkdir("../../users/$user/$name/.backups", 0777);
		chmod("../../users/$user/$name/.backups", 0777);
	}

	//Creamos el backup
	$archive = new PclZip($zipName);
	$dirHandler = opendir("../../users/$user/$name");
	while ($file = readdir($dirHandler)) {
		if (($file != '.') && ($file != '..') && ($file != '.backups')) {
			$archive->add("../../users/$user/$name/$file", PCLZIP_OPT_REMOVE_PATH, "../../users/$user/$name/");
		} 
	}
	chmod($zipName, 0777); 

	//Damos el resultado en el fichero de resultado
	/*
	$result_file = tempnam($dir, "");
	$fd=fopen ($result_file,"w");
	fwrite($fd,"Backup made successfully.");
	fclose($fd);
	*/

	//Saltamos al area de trabajo
	//$_SESSION['s_result']=$result_file;
	//header('Location: ../workspace/work_project.php');
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
	/*<![CDATA[*/
    	function volver() {
        	history.back()
        }
	/*]]>*/
    </script>
</head>
<body>
	<div id="all">
		<?php include("head_project.php"); ?>
        <div id="content">
            <div id="content_left">
                <ul class="box_left">
                    <li class="box_title"><img src="../../images/general/box_project.png" alt="Projects" />Projects</li>
					<li><img src="../../images/general/box_bullet.png" alt="bullet" /><a href="http://localhost/webdevstudio-1.7/modules/project/list_backups.php">List all backups</a></li>
                    <li><img src="../../images/general/box_bullet.png" alt="bullet" /><!--<a onclick="volver()" href="#">Back</a>--><a href="../workspace/work_project.php">Back to workspace</a></li>
                </ul>
            </div>
            <div id="content_center">
                <div id="result_server">
                    <h2><?php echo $mensaje_head ?></h2>
                    <p><?php echo $mensaje ?></p>
					<?php if ($error==1) { ?>
                    <button onclick="volver()">Back</button>
					<?php } ?>
                </div>
            </div>
        </div>
        <?php include("foot_project.php"); ?>
    </div>
</body>
</html>

