<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

session_save_path(realpath("../../sessions"));
session_start();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
	<link href="../../styles/general.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <div id="all">
		<?php include("head_sections.php"); ?>
        <div id="content">

            <div id="content_left">
				<?php include("menu_search_sections.php") ?>
			</div>
            
            <div id="content_center">
				<h2>Search</h2>
				<p>
				This page uses Google Custom Search to give you best results related to
				WebDevStudio You can also use it <a href="http://www.google.com/coop/cse?cx=016601878949088341688:yl0u8pl-3ki">directly
				on Google</a>.
				</p>
				<!-- Non javascript version to use directly Goole (and leave phpmyadmin.net) -->

				<noscript>
				<style type="text/css">
				@import url(http://www.google.com/cse/api/branding.css);
				</style>
				<div class="cse-branding-bottom" style="background-color:#FFFFFF;color:#000000">
				  <div class="cse-branding-form">
					<form action="http://www.google.com/cse" id="cse-search-box">
					  <div>
						<input type="hidden" name="cx" value="016601878949088341688:yl0u8pl-3ki" />
						<input type="hidden" name="ie" value="UTF-8" />
						<input type="text" name="q" size="31" />
						<input type="submit" name="sa" value="Search" />
					  </div>
					</form>
				  </div>
				  <div class="cse-branding-logo">
					<img src="http://www.google.com/images/poweredby_transparent/poweredby_FFFFFF.gif" alt="Google" />
				  </div>
				  <div class="cse-branding-text">
					Custom Search
				  </div>
				</div>
				</noscript>		
				
				<!-- Google Custom Search Element -->
				<div id="cse" style="width:100%;">Loading</div>
				<script src="http://www.google.com/jsapi" type="text/javascript"></script>
				<script type="text/javascript">
				  google.load('search', '1');
				  google.setOnLoadCallback(function(){
					new google.search.CustomSearchControl('016601878949088341688:yl0u8pl-3ki').draw('cse');
				  }, true);
				</script>
				
				
            </div>
        </div>
		<?php include("foot_sections.php") ?>
    </div>
</body>
</html>
