/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/


Dropmenu = function() {

	//Operaciones para el menu emergente
	var dropmenuobj; 
	var delayhide;
	
	var ie4 = document.all;
	var ns6 = document.getElementById && !document.all;
		
	/*
	getposOffset = function(what, offsettype) {
		var totaloffset = (offsettype=="left")? what.offsetLeft : what.offsetTop;
		var parentEl = what.offsetParent;
		while (parentEl!=null){
			totaloffset = (offsettype=="left")? totaloffset+parentEl.offsetLeft : totaloffset+parentEl.offsetTop;
			parentEl = parentEl.offsetParent;
		}
		return totaloffset;
	}
	*/
	
	
	showhide = function(obj) {
		/*
		if (obj.style.visibility == 'hidden')
			obj.style.visibility = 'visible';
		else 
			obj.style.visibility = 'hidden';
		*/
		if (obj.style.display == 'none') {
			obj.style.display = 'block';

			//document.body.appendChild(dropmenuobj);
			var objBody = document.body;
			objBody.insertBefore(dropmenuobj, objBody.firstChild);
			//dropmenuobj.parentNode.removeChild(dropmenuobj);
		}
		else {
			obj.style.display = 'none';
			var objMenuZone = document.getElementById('dropmenu_zone');
			var objBody = document.body;
			objMenuZone.insertBefore(dropmenuobj, objMenuZone.firstChild);
		}
	}
	
	
	iecompattest = function() {
		return (document.compatMode && document.compatMode!="BackCompat")? document.documentElement : document.body;
	}
	
	clearbrowseredge = function(obj, whichedge) {
		var edgeoffset = 0;
		
		if (whichedge == "rightedge") {
			var windowedge = ie4 && !window.opera? iecompattest().scrollLeft+iecompattest().clientWidth : window.pageXOffset+window.innerWidth;
			dropmenuobj.contentmeasure = dropmenuobj.offsetWidth;
			if (windowedge-dropmenuobj.x < dropmenuobj.contentmeasure)
				edgeoffset = dropmenuobj.contentmeasure - obj.offsetWidth;
		}
		else {
			var windowedge = ie4 && !window.opera? iecompattest().scrollTop+iecompattest().clientHeight : window.pageYOffset+window.innerHeight;
			dropmenuobj.contentmeasure = dropmenuobj.offsetHeight;
			if (windowedge-dropmenuobj.y < dropmenuobj.contentmeasure)
				edgeoffset = dropmenuobj.contentmeasure + obj.offsetHeight;
		}
		
		return edgeoffset;
	}
	
	
	//function dropdownmenu(obj, e, menuwidth){
	this.dropdownmenu = function(e, obj, id, file) {
		dropmenuobj = document.getElementById(id);
		dropmenuobj.setAttribute('name', file);
		/*
		dropmenuobj.x = getposOffset(obj, "left");
		dropmenuobj.y = getposOffset(obj, "top");
		dropmenuobj.style.left = (dropmenuobj.x - clearbrowseredge(obj, "rightedge") + 5) + "px";
		dropmenuobj.style.top = (dropmenuobj.y + obj.offsetHeight - clearbrowseredge(obj, "bottomedge") + obj.offsetHeight - 25) + "px";
		//dropmenuobj.style.top = (dropmenuobj.y + obj.offsetHeight - clearbrowseredge(obj, "bottomedge") + obj.offsetHeight - 30) + "px";
		
		//dropmenuobj.style.left = (dropmenuobj.x+e.clientX)+"px";
		//dropmenuobj.style.top = (dropmenuobj.y+e.clientY)+"px";
		//dropmenuobj.style.left = e.screenX+"px";
		//dropmenuobj.style.top = e.screenY+"px";
		*/
		var coords = {left:0, top:0};
		if (e.pageX) {
			coords.left = e.pageX;
			coords.top = e.pageY;
		}
		else if (e.clientX) {
			coords.left = e.clientX + document.body.scrollLeft - document.body.clientLeft;
			coords.top = e.clientY + document.body.scrollTop - document.body.clientTop;
			// include html element space, if applicable
			if (document.body.parentElement && document.body.parentElement.clientLeft) {
				var bodParent = document.body.parentElement;
				coords.left += bodParent.scrollLeft - bodParent.clientLeft;
				coords.top += bodParent.scrollTop - bodParent.clientTop;
			}
		}
		dropmenuobj.style.left = (coords.left-5)+'px';
		dropmenuobj.style.top = (coords.top-5)+'px';
		
		showhide(dropmenuobj);
	}
	
	
	hidemenu = function() {
		//var dropmenuobj = document.getElementById('dropmenu'+type);
		//alert("hidemenu");
		if (dropmenuobj) {
			//dropmenuobj.style.visibility = "hidden";
			dropmenuobj.style.display = "none";
			var objMenuZone = document.getElementById('dropmenu_zone');
			var objBody = document.body;
			objMenuZone.insertBefore(dropmenuobj, objMenuZone.firstChild);
		}
	}
	
	
	this.delayhidemenu = function() {
		//alert("delayhidemenu");
		delayhide = setTimeout("hidemenu()", 250);
		//delayhide = setTimeout("showhide()", 250);
	}
	
	
	this.clearhidemenu = function() {
		//alert(typeof(delayhide));
		if (typeof(delayhide) != "undefined")
			clearTimeout(delayhide);
	} 
	
		
	//Acciones de los menus
	this.refresh_filetree = function() {
		filetree_manager.generate_tree();
		hidemenu();
	}
	
	this.new_file = function() {
		var path = dropmenuobj.getAttribute('name');
		windows_manager.show_newfile_window(path);
		hidemenu();
	}

	this.open_file = function() {
		var path = dropmenuobj.getAttribute('name');
		actions_manager.open_file(path, true);
		hidemenu();
	}
	
	this.delete_file = function() {
		var path = dropmenuobj.getAttribute('name');
		actions_manager.delete_file(path);
		hidemenu();
	}
	
	this.rename_file = function() {
		var path = dropmenuobj.getAttribute('name');
		windows_manager.show_renamefile_window(path, true);
		hidemenu();
	}
	
	this.download_file = function() {
		var path = dropmenuobj.getAttribute('name');
		actions_manager.down_file(path);
		hidemenu();
	}
	
	this.delete_folder = function() {
		var path = dropmenuobj.getAttribute('name');
		actions_manager.delete_folder(path);
		hidemenu();
	}

	this.rename_folder = function() {
		var path = dropmenuobj.getAttribute('name');
		windows_manager.show_renamefolder_window(path, true);
		hidemenu();
	}
	
	this.new_folder = function() {
		var path = dropmenuobj.getAttribute('name');
		windows_manager.show_newfolder_window(path);
		hidemenu();
	}
	
	
	
	this.clear_log = function() {
		actions_manager.clear_log();
		hidemenu();
	}
	
	
	
	this.rename_file_explorer = function() {
		var path = dropmenuobj.getAttribute('name');
		windows_manager.show_renamefile_window(path, false);
		hidemenu();
	}
	
	this.rename_folder_explorer = function() {
		var path = dropmenuobj.getAttribute('name');
		windows_manager.show_renamefolder_window(path, false);
		hidemenu();
	}	
	
	
	this.close_file = function() {
		var path = dropmenuobj.getAttribute('name');
		tabs_manager.close_layer(path);
		hidemenu();
	}
	
	this.save_file = function() {
		var path = dropmenuobj.getAttribute('name');
		actions_manager.save_file(path);
		hidemenu();
	}
	
	this.new_file_tab = function() {
		var path = dropmenuobj.getAttribute('name');
		windows_manager.show_newfile_window(PATH_PROJECT);
		hidemenu();
	}

	
}


var dropmenu = new Dropmenu();
